<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}Meu Gerenciador de Finanças{% endblock %}</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="#">Finanças</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item active">
                        <a class="nav-link" href="{% url 'home' %}">Início</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'perfil' %}">Perfil</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'despesas' %}">Despesas</a>
                    </li>
                    <!-- Adicione mais links conforme necessário -->
                </ul>
            </div>
        </nav>
    </header>

    <main class="container mt-4">
        {% block content %}
        <!-- Conteúdo principal vai aqui -->
        {% endblock %}
    </main>

    <footer class="bg-primary text-white text-center py-3">
        <p>&copy; 2023 Meu Gerenciador de Finanças</p>
    </footer>

    <!-- Scripts do Bootstrap -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
